GNU bug report logs - #30357
git tip: lisp/gnus/deuglify.el:221:1:Error: Searching for program: Is a directory, /usr/local/bin/movemail

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Sam Steingold <sds@HIDDEN>; merged with #30350; dated Mon, 5 Feb 2018 14:13:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 30350 30357. Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 5 Feb 2018 14:12:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 05 09:12:55 2018
Received: from localhost ([127.0.0.1]:57816 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eihVu-0000Ag-UM
	for submit <at> debbugs.gnu.org; Mon, 05 Feb 2018 09:12:55 -0500
Received: from eggs.gnu.org ([208.118.235.92]:40368)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sam.steingold@HIDDEN>) id 1eihVt-0000AR-15
 for submit <at> debbugs.gnu.org; Mon, 05 Feb 2018 09:12:53 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <sam.steingold@HIDDEN>) id 1eihVm-0004Ts-NN
 for submit <at> debbugs.gnu.org; Mon, 05 Feb 2018 09:12:47 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: *
X-Spam-Status: No, score=1.3 required=5.0 tests=BAYES_20,FREEMAIL_FROM,
 HTML_MESSAGE,TRACKER_ID,T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:54183)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <sam.steingold@HIDDEN>)
 id 1eihVm-0004Tm-KA
 for submit <at> debbugs.gnu.org; Mon, 05 Feb 2018 09:12:46 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:59564)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <sam.steingold@HIDDEN>) id 1eihVl-0006vA-E2
 for bug-gnu-emacs@HIDDEN; Mon, 05 Feb 2018 09:12:46 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <sam.steingold@HIDDEN>) id 1eihVk-0004Sq-6f
 for bug-gnu-emacs@HIDDEN; Mon, 05 Feb 2018 09:12:45 -0500
Received: from mail-lf0-x229.google.com ([2a00:1450:4010:c07::229]:36829)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <sam.steingold@HIDDEN>)
 id 1eihVj-0004SB-Pk
 for bug-gnu-emacs@HIDDEN; Mon, 05 Feb 2018 09:12:44 -0500
Received: by mail-lf0-x229.google.com with SMTP id t79so41945041lfe.3
 for <bug-gnu-emacs@HIDDEN>; Mon, 05 Feb 2018 06:12:43 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:sender:from:date:message-id:subject:to;
 bh=suai3uLbV358yrzQMk/fKgO1i5VsNvJ8u0yLXswHIQ8=;
 b=MEypNB2SPMxNhXimNwWtLtKifiRTEdiSsDbVwY2CpJW5k54b0VZe/XPboWbEuT1UDB
 8NvoQemD1gc6UW71xF0iOWp+9zCoigrBPOQyx3Vu0QXoQaQlyW4HXEEXRre+BfOlYyca
 TJeRHDBXUFW/Ix6o6eG1la4q7vqbCc/LcDbk5eBlTFm9F6wJ5ySoaNYh2/bCRK9DU3do
 8bRwLdVmHdnOV2BlXanGIUdrRcwbvx2jAcO8gRz67aRNYqwewZ3xfUIrlg71d0Rrz/BG
 wDc2nMQkcE6WsGPuQeELvk6XJd0aT9x+8cCGdAoKFjNYQ3Zdu8/LC0X3e4WZJph+tfDN
 5Iyg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:sender:from:date:message-id:subject
 :to; bh=suai3uLbV358yrzQMk/fKgO1i5VsNvJ8u0yLXswHIQ8=;
 b=c4t7v6LwzCQ2R8emD3/Mf6zsKZPwN6VhK+/qMS2gHuIVET9VolsL/ngBaoj9Tb89n1
 YLGs8p/CdyUV2syF4K4lrwr6pLB6M3W2zs+BI+pOVqDd9Jz3t7P32gCxtd2mxIV1MsgG
 ONC1mGFoXqNd08U1OGOliF/dGWbgg65dgrIfdkbYrLDIagz5X9sRtpnDbFinOY1sKY9e
 6bASSEyKbA/pZ1dI5mnv+3bII+q+iZK81yfi5Ts/35Hn8i6g+amnTPXWCVcBt7AAuHu8
 ZQrhkCEU/b5qAETMPkF2RxxaiYynUXE4Ly3bP0XsoVLxCZSh6XQ+ge2Ajz6h4f12cOO6
 jnxw==
X-Gm-Message-State: AKwxyteSbML/eamtjBXNYhE5kyVpWoSYxFwxMHRW2lCaw9eMfU1qA39O
 JPsqaMIwP+nbkj6J+jmtLP5xPOravItGPrDZ3B/IwM8=
X-Google-Smtp-Source: AH8x224vbOL4zTn4Hqox9FmA9JNMS03YLZ43GAy45YUTQ9VTu33vSKp295upPdB7npc7phbXISTu9u/dadit1h1QN4A=
X-Received: by 10.46.85.149 with SMTP id g21mr30817377lje.118.1517839961565;
 Mon, 05 Feb 2018 06:12:41 -0800 (PST)
MIME-Version: 1.0
Received: by 10.25.208.198 with HTTP; Mon, 5 Feb 2018 06:12:40 -0800 (PST)
From: Sam Steingold <sds@HIDDEN>
Date: Mon, 5 Feb 2018 09:12:40 -0500
X-Google-Sender-Auth: UoeLEiKzxNRwHe6RCGZCGGYhEXQ
Message-ID: <CAFsbZ7bOwLeuO1zSrsh2CwMESDzGQRHETSQ1S4cpHtWby=QXRg@HIDDEN>
Subject: git tip: lisp/gnus/deuglify.el:221:1:Error: Searching for program: Is
 a directory, /usr/local/bin/movemail
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/alternative; boundary="94eb2c1aaf52bc30ab056477a70a"
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -2.7 (--)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.7 (--)

--94eb2c1aaf52bc30ab056477a70a
Content-Type: text/plain; charset="UTF-8"

The current emacs git tip (

c24c5dc4a4cc18e7f1ec949efcfe1d4bae541d02
) on mac os x: "make bootstrap" fails with

In toplevel form:

../../lisp/gnus/deuglify.el:221:1:Error: Searching for program: Is a
directory, /usr/local/bin/movemail

make[3]: *** [gnus/deuglify.elc] Error 1

make[2]: *** [compile-main] Error 2

make[1]: *** [lisp] Error 2

make: *** [bootstrap] Error 2

the file is, in fact, present and is an executable, not a directory:

*$* test -x /usr/local/bin/movemail && echo executable

executable

*$* test -d  /usr/local/bin/movemail && echo directory

*$ echo $?*

* 1 $*


the same error is reported on _all_ commands (bash, git, ssh-add &c).
(as you can see, I cannot even report the bug using emacs!)

thanks.
-- 
Sam Steingold <http://sds.podval.org> <http://www.childpsy.net> <
http://steingoldpsychology.com>

--94eb2c1aaf52bc30ab056477a70a
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">The current emacs git tip (




<span></span>





<p class=3D"gmail-p1" style=3D"margin:0px;font-style:normal;font-variant:no=
rmal;font-weight:normal;font-stretch:normal;font-size:10px;line-height:norm=
al;font-family:Menlo;color:rgb(0,0,0);background-color:rgb(255,255,255)"><s=
pan class=3D"gmail-s1" style=3D"font-variant-ligatures:no-common-ligatures"=
>c24c5dc4a4cc18e7f1ec949efcfe1d4bae541d02</span></p>


) on mac os x: &quot;make bootstrap&quot; fails with<div><br></div><div>




<span></span>





<p class=3D"gmail-p1" style=3D"margin:0px;font-style:normal;font-variant:no=
rmal;font-weight:normal;font-stretch:normal;font-size:10px;line-height:norm=
al;font-family:Menlo;color:rgb(0,0,0);background-color:rgb(255,255,255)"><s=
pan class=3D"gmail-s1" style=3D"font-variant-ligatures:no-common-ligatures"=
>In toplevel form:</span></p>
<p class=3D"gmail-p1" style=3D"margin:0px;font-style:normal;font-variant:no=
rmal;font-weight:normal;font-stretch:normal;font-size:10px;line-height:norm=
al;font-family:Menlo;color:rgb(0,0,0);background-color:rgb(255,255,255)"><s=
pan class=3D"gmail-s1" style=3D"font-variant-ligatures:no-common-ligatures"=
>../../lisp/gnus/deuglify.el:221:1:Error: Searching for program: Is a direc=
tory, /usr/local/bin/movemail</span></p>
<p class=3D"gmail-p1" style=3D"margin:0px;font-style:normal;font-variant:no=
rmal;font-weight:normal;font-stretch:normal;font-size:10px;line-height:norm=
al;font-family:Menlo;color:rgb(0,0,0);background-color:rgb(255,255,255)"><s=
pan class=3D"gmail-s1" style=3D"font-variant-ligatures:no-common-ligatures"=
>make[3]: *** [gnus/deuglify.elc] Error 1</span></p>
<p class=3D"gmail-p1" style=3D"margin:0px;font-style:normal;font-variant:no=
rmal;font-weight:normal;font-stretch:normal;font-size:10px;line-height:norm=
al;font-family:Menlo;color:rgb(0,0,0);background-color:rgb(255,255,255)"><s=
pan class=3D"gmail-s1" style=3D"font-variant-ligatures:no-common-ligatures"=
>make[2]: *** [compile-main] Error 2</span></p>
<p class=3D"gmail-p1" style=3D"margin:0px;font-style:normal;font-variant:no=
rmal;font-weight:normal;font-stretch:normal;font-size:10px;line-height:norm=
al;font-family:Menlo;color:rgb(0,0,0);background-color:rgb(255,255,255)"><s=
pan class=3D"gmail-s1" style=3D"font-variant-ligatures:no-common-ligatures"=
>make[1]: *** [lisp] Error 2</span></p>
<p class=3D"gmail-p1" style=3D"margin:0px;font-style:normal;font-variant:no=
rmal;font-weight:normal;font-stretch:normal;font-size:10px;line-height:norm=
al;font-family:Menlo;color:rgb(0,0,0);background-color:rgb(255,255,255)"><s=
pan class=3D"gmail-s1" style=3D"font-variant-ligatures:no-common-ligatures"=
>make: *** [bootstrap] Error 2</span></p>


<br clear=3D"all"><div>the file is, in fact, present and is an executable, =
not a directory:</div><div><br></div><div>




<span></span>





<p class=3D"gmail-p1" style=3D"margin:0px;font-style:normal;font-variant:no=
rmal;font-weight:normal;font-stretch:normal;font-size:10px;line-height:norm=
al;font-family:Menlo;color:rgb(0,0,0);background-color:rgb(255,255,255)"><s=
pan class=3D"gmail-s1" style=3D"font-variant-ligatures:no-common-ligatures"=
><b>$</b> test -x /usr/local/bin/movemail &amp;&amp; echo executable</span>=
</p>
<p class=3D"gmail-p1" style=3D"margin:0px;font-style:normal;font-variant:no=
rmal;font-weight:normal;font-stretch:normal;font-size:10px;line-height:norm=
al;font-family:Menlo;color:rgb(0,0,0);background-color:rgb(255,255,255)"><s=
pan class=3D"gmail-s1" style=3D"font-variant-ligatures:no-common-ligatures"=
>executable</span></p>
<p class=3D"gmail-p1" style=3D"margin:0px;font-style:normal;font-variant:no=
rmal;font-weight:normal;font-stretch:normal;font-size:10px;line-height:norm=
al;font-family:Menlo;color:rgb(0,0,0);background-color:rgb(255,255,255)"><s=
pan class=3D"gmail-s1" style=3D"font-variant-ligatures:no-common-ligatures"=
><b>$</b> test -d<span class=3D"gmail-Apple-converted-space">=C2=A0 </span>=
/usr/local/bin/movemail &amp;&amp; echo directory</span></p>
<p class=3D"gmail-p2" style=3D"margin:0px;font-style:normal;font-variant:no=
rmal;font-weight:normal;font-stretch:normal;font-size:10px;line-height:norm=
al;font-family:Menlo;color:rgb(52,188,38);background-color:rgb(255,255,255)=
"><span class=3D"gmail-s7" style=3D"font-variant-ligatures:no-common-ligatu=
res;color:rgb(0,0,0)"><b>




<span></span>





</b></span></p><p class=3D"gmail-p1" style=3D"margin:0px;font-style:normal;=
font-variant:normal;font-weight:normal;font-stretch:normal;font-size:10px;l=
ine-height:normal;font-family:Menlo;color:rgb(0,0,0);background-color:rgb(2=
55,255,255)"><b><span class=3D"gmail-s1" style=3D"font-variant-ligatures:no=
-common-ligatures"><b>$</b> echo $?</span></b></p><b>
<p class=3D"gmail-p1" style=3D"margin:0px;font-style:normal;font-variant:no=
rmal;font-weight:normal;font-stretch:normal;font-size:10px;line-height:norm=
al;font-family:Menlo;color:rgb(0,0,0);background-color:rgb(255,255,255)"><s=
pan class=3D"gmail-s1" style=3D"font-variant-ligatures:no-common-ligatures"=
>1</span></p>


$</b><span class=3D"gmail-Apple-converted-space">=C2=A0</span><p></p>


<br></div><div>the same error is reported on _all_ commands (bash, git, ssh=
-add &amp;c).</div><div>(as you can see, I cannot even report the bug using=
 emacs!)</div><div><br></div><div>thanks.</div>-- <br><div class=3D"gmail_s=
ignature" data-smartmail=3D"gmail_signature">Sam Steingold &lt;<a href=3D"h=
ttp://sds.podval.org" target=3D"_blank">http://sds.podval.org</a>&gt; &lt;<=
a href=3D"http://www.childpsy.net" target=3D"_blank">http://www.childpsy.ne=
t</a>&gt; &lt;<a href=3D"http://steingoldpsychology.com" target=3D"_blank">=
http://steingoldpsychology.com</a>&gt;</div>
<input name=3D"virtru-metadata" type=3D"hidden" value=3D"{&quot;email-polic=
y&quot;:{&quot;state&quot;:&quot;closed&quot;,&quot;expirationUnit&quot;:&q=
uot;days&quot;,&quot;disableCopyPaste&quot;:false,&quot;disablePrint&quot;:=
false,&quot;disableForwarding&quot;:false,&quot;expires&quot;:false,&quot;i=
sManaged&quot;:false},&quot;attachments&quot;:{},&quot;compose-window&quot;=
:{&quot;secure&quot;:false}}"></div></div>

--94eb2c1aaf52bc30ab056477a70a--




Acknowledgement sent to Sam Steingold <sds@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#30357; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 5 Feb 2018 14:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.